Ubuntu

linux-armadaxp: 3.5.0-1627.36 -proposed tracker

Reported by Brad Figg on 2014-01-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
Unassigned
Upload-to-ppa
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.5.0-1627.36 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 09. January 2014 14:40 UTC
kernel-stable-master-bug:1266857
kernel-stable-Certification-testing-end:Friday, 10. January 2014 07:02 UTC
kernel-stable-Security-signoff-end:Friday, 10. January 2014 07:03 UTC
kernel-stable-Prepare-package-end:Monday, 13. January 2014 04:04 UTC
kernel-stable-Promote-to-proposed-start:Monday, 13. January 2014 04:04 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 28. January 2014 10:04 UTC
kernel-stable-Verification-testing-start:Tuesday, 28. January 2014 12:03 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. January 2014 12:03 UTC
kernel-stable-Regression-testing-end:Tuesday, 04. February 2014 00:02 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 12. February 2014 20:04 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:08 UTC

CVE References

This tracking bug was opened to be worked from linux-3.5.0-46.70 update (bug 1266857)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2014-01-10
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Ike Panhc (ikepanhc) on 2014-01-10
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1627.36 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2014-01-10
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-01-28
description: updated
Brad Figg (brad-figg) on 2014-01-28
description: updated
Paul Larson (pwlars) on 2014-02-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-04
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2014-02-12
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (7.6 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1627.36

---------------
linux-armadaxp (3.5.0-1627.36) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1267490
  * Rebase onto Ubuntu-3.5.0-46.70

  [ Ubuntu: 3.5.0-46.70 ]

  * UBUNTU: Disable abi and module checking due to broken modules being
    disabled and we have bumped the abi.

  [ Ubuntu: 3.5.0-46.69 ]

  * Release Tracking Bug
    - LP: #1266857
  * SAUCE: (no-up) netfilter: xt_hashlimit: fix proc entry leak in netns
    destroy path
    - LP: #1256988
  * [Config] Enable CONFIG_VT6656
    - LP: #162671
  * Revert "ima: policy for RAMFS"
    - LP: #1265562
  * netfilter: xt_recent: fix namespace destroy path
    - LP: #1256988
  * netfilter: xt_hashlimit: fix namespace destroy path
    - LP: #1256988
  * ACPICA: Interpreter: Fix Store() when implicit conversion is not
    possible.
    - LP: #1265562
  * ACPICA: DeRefOf operator: Update to fully resolve FieldUnit and
    BufferField refs.
    - LP: #1265562
  * ACPICA: Return error if DerefOf resolves to a null package element.
    - LP: #1265562
  * ACPICA: Fix for a Store->ArgX when ArgX contains a reference to a
    field.
    - LP: #1265562
  * aacraid: prevent invalid pointer dereference
    - LP: #1265562
  * libertas: potential oops in debugfs
    - LP: #1265562
  * ARM: sa11x0/assabet: ensure CS2 is configured appropriately
    - LP: #1265562
  * dm: allocate buffer for messages with small number of arguments using
    GFP_NOIO
    - LP: #1265562
  * ext4: avoid bh leak in retry path of ext4_expand_extra_isize_ea()
    - LP: #1265562
  * drm/radeon/si: fix define for MC_SEQ_TRAIN_WAKEUP_CNTL
    - LP: #1265562
  * drm/ttm: Handle in-memory region copies
    - LP: #1265562
  * drm/ttm: Fix ttm_bo_move_memcpy
    - LP: #1265562
  * drm/ttm: Fix memory type compatibility check
    - LP: #1265562
  * PM / hibernate: Avoid overflow in hibernate_preallocate_memory()
    - LP: #1265562
  * mtd: nand: hack ONFI for non-power-of-2 dimensions
    - LP: #1265562
  * mtd: map: fixed bug in 64-bit systems
    - LP: #1265562
  * mtd: m25p80: fix allocation size
    - LP: #1265562
  * block: fix race between request completion and timeout handling
    - LP: #1265562
  * blk-core: Fix memory corruption if blkcg_init_queue fails
    - LP: #1265562
  * loop: fix crash if blk_alloc_queue fails
    - LP: #1265562
  * block: fix a probe argument to blk_register_region
    - LP: #1265562
  * block: properly stack underlying max_segment_size to DM device
    - LP: #1265562
  * xen/blkback: fix reference counting
    - LP: #1265562
  * loop: fix crash when using unassigned loop device
    - LP: #1265562
  * SUNRPC: Fix a data corruption issue when retransmitting RPC calls
    - LP: #1265562
  * mtd: gpmi: fix kernel BUG due to racing DMA operations
    - LP: #1265562
  * ALSA: msnd: Avoid duplicated driver name
    - LP: #1265562
  * x86/microcode/amd: Tone down printk(), don't treat a missing firmware
    file as an error
    - LP: #1265562
  * SUNRPC: Avoid deep recursion in rpc_release_client
    - LP: #1265562
  * ALSA: hda - Don't clear the power state at snd_hda_codec_reset()
    - LP: #1265562
  * ...

Read more...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers